\pdfsuppresswarningpagegroup=1
\documentclass{article}

\usepackage{geometry}
\geometry{legalpaper, margin=0in,paperwidth=245mm}
\usepackage{graphicx}
\usepackage{longtable}
\usepackage{hyperref}
\usepackage{pbox}

\newcommand{\addPlot}[5][0.14]{
  % #1: figure width : default 0.14
  % #2: config
  % #3: plane/line
  % #4: institution
  % #5: variable
  \def\temp{#5}\ifx\temp\empty
    \def\filename{../#4/figs/Inventor_benchmark_#2_U35_#3_#4.pdf}
    \IfFileExists{\filename}
    {\begin{minipage}{#1\textwidth}\includegraphics[width=1.0\textwidth]{\filename}\end{minipage}}
    {none}
  \else
    \def\filename{../#4/figs/Inventor_benchmark_#2_U35_#3_#4_#5.pdf}
    \IfFileExists{\filename}
    {\begin{minipage}{#1\textwidth}\includegraphics[width=1.0\textwidth]{\filename}\end{minipage}}
    {none}
  \fi
}

\newcommand{\addScalarPlots}[3]{
  % 1: config
  % 2: plane
  % 3: variable
  % #1\_U35\_#2\_#3 &
  \pbox{0.13\textwidth}{#1\_U35 \\ #2 \\ #3} &
  \addPlot[0.13]{#1}{#2}{TUD_exp}{#3} &
  \addPlot[0.13]{#1}{#2}{CHALMERS}{#3} &
  \addPlot[0.13]{#1}{#2}{ONERA}{#3} &
  \addPlot[0.13]{#1}{#2}{RWTH}{#3} &
  \addPlot[0.13]{#1}{#2}{TUD}{#3} &
  \addPlot[0.13]{#1}{#2}{TUD_fullRes}{#3} \\
  \hline
}

\newcommand{\addScalarPlotsAllVar}[2]{
  % 1: config
  % 2: plane
  \addScalarPlots{#1}{#2}{uavg}
  \addScalarPlots{#1}{#2}{vavg}
  \addScalarPlots{#1}{#2}{wavg}
  \addScalarPlots{#1}{#2}{urms}
  \addScalarPlots{#1}{#2}{vrms}
  \addScalarPlots{#1}{#2}{wrms}
}

\newcommand{\addScalarConfigPlots}[1]{
  % 1: config
  \addScalarPlotsAllVar{#1}{planeXp1700}
  \addScalarPlotsAllVar{#1}{planeYp0000}
  \addScalarPlotsAllVar{#1}{planeYp0500}
  \addScalarPlotsAllVar{#1}{planeYp1200}
  %\addScalarPlotsAllVar{#1}{planeZp0000}
  \addScalarPlotsAllVar{#1}{planeXn0675}
  \addScalarPlotsAllVar{#1}{planeXn0500}
  \addScalarPlotsAllVar{#1}{planeXn0300}
}

\newcommand{\addLinePlots}[2]{
  % 1: config
  % 2: line
  % #1\_U35\_#2 &
  \quad \pbox{0.13\textwidth}{\tiny #1\_U35 \\ \quad #2} &
  \addPlot[0.13]{#1}{#2}{ALL}{uavg} &
  \addPlot[0.13]{#1}{#2}{ALL}{vavg} &
  \addPlot[0.13]{#1}{#2}{ALL}{wavg} &
  \addPlot[0.13]{#1}{#2}{ALL}{urms} &
  \addPlot[0.13]{#1}{#2}{ALL}{vrms} &
  \addPlot[0.13]{#1}{#2}{ALL}{wrms} \\
  \hline
}

\newcommand{\addLineConfigPlots}[1]{
  % 1: config
  \addLinePlots{#1}{lineYp0000Zp0000}
  \addLinePlots{#1}{lineXp1700Yp0000}
  \addLinePlots{#1}{lineXp1700Zp0000}
}

\newcommand{\addAcousticPlots}[1]{
  % 1: config
  \quad \pbox{0.3\textwidth}{\tiny #1\_U35} &
  \addPlot[0.3]{#1}{microCmLath}{ALL}{} &
  \addPlot[0.3]{#1}{microCmFlyv}{ALL}{} \\
  \hline
}

\begin{document}

\begin{center}
  \tableofcontents

  \section{Flow statistics: scalar plot on plane}
  \setlength{\tabcolsep}{0pt}
  \begin{longtable}{ |c|c|c|c|c|c|c| }
    \pbox{0.13\textwidth}{conf\_speed \\ location \\ var} & TUD (exp) & CHALMERS & ONERA & RWTH & TUD & TUD\_fullyRes\\
    \hline
    \addScalarConfigPlots{BlBkTl}
    \addScalarConfigPlots{BlBkTlF01}
    \addScalarConfigPlots{BlBkTlF02}
    \addScalarConfigPlots{BlBkTlF03}
    \addScalarConfigPlots{BlBkTlF04}
    \addScalarConfigPlots{BlBkTlF07}
  \end{longtable}

  \section{Flow statistics: plot over line}
  \setlength{\tabcolsep}{-.3em} % for the horizontal padding
  \begin{longtable}{ |c|c|c|c|c|c|c| }
    conf\_speed\_line & uavg & vavg & wavg & urms & vrms & wrms \\
    \hline
    \addLineConfigPlots{BlBkTl}
    \addLineConfigPlots{BlBkTlF01}
    \addLineConfigPlots{BlBkTlF02}
    \addLineConfigPlots{BlBkTlF03}
    \addLineConfigPlots{BlBkTlF04}
    \addLineConfigPlots{BlBkTlF07}
  \end{longtable}

  \section{Sound pressure level spectra}
  %\setlength{\tabcolsep}{0.0em} % for the horizontal padding
  \begin{longtable}{ |c|c|c| }
    config\_speed\_line & sideline & fly-over \\
    \hline
    \addAcousticPlots{BlBkTl}
    \addAcousticPlots{BlBkTlF01}
    \addAcousticPlots{BlBkTlF02}
    \addAcousticPlots{BlBkTlF04}
  \end{longtable}

\end{center}

\end{document}
